@layer ic-a-layer;

/* Containers, can be combined with 3 background colors */
.ic-container {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: start;
    flex: none;
    flex-basis: auto;
    box-sizing: border-box;
    margin: 0;
    align-items: var(--align-items);
    padding: var(--basic-margin);
    justify-content: var(--justify-content);
}

.ic-basic-padding {
    padding: var(--basic-margin);
}

/* White background, black text */
.ic-bg-white {
    background-color: #ffffff;
    color: #000000;
}

/* Black background, white text */
.ic-bg-black {
    background-color: #000000;
    color: #f3f3f3;
}

.ic-bg-black .elementor-button {
    box-shadow: 0.75rem 0.75rem 0 0 #f3f3f3 !important;
}

.ic-bg-black .elementor-button:hover {
    box-shadow: 0 0 0 0 #f3f3f3 !important;
}

/* Blue background, white text */
.ic-bg-red {
    background-color: #ff2d2d;
    color: #ffffff;
}

.ic-bg-red-dark {
    background-color: #cb2424;
    color: #ffffff;
}

.ic-bg-fixed::before {
    background-attachment: fixed !important;
    background-position-y: var(--ic-bg-fixed-position-y) !important;
    transition: none;
}

@media (prefers-reduced-motion: reduce) {
    .ic-bg-fixed::before {
        background-attachment: fixed !important;
        background-position-y: unset !important;
        transition: none;
    }
}

@layer ic-a-layer {
    .ic-bg-blue a {
        color: #000000;
    }

    .ic-bg-white a,
    .ic-bg-black a {
        color: #0074d3;
    }
}

.ic-bg-blue a::after {
    background-color: #000000;
}

.ic-button {
    display: flex;
    background-color: #fa3c3c;
    justify-content: center;
    box-shadow: 12px 12px 0 0 #000000;
    transition: all 0.10s ease-in-out;
    margin: 1vh 2vw 2vh 0px;
}

.ic-button:hover {
    box-shadow: 0 0 0 0 #000000;
    background-color: #b12a2a;
    transition: all 0.10s ease-in-out;
}

.ic-button a {
    color: #ffffff;
    padding: 1.5vh 5vw 1.5vh 5vw;
}

.ic-button a::after {
    content: '';
    position: absolute;
    width: 0;
    transform: scaleX(0);
    height: 0;
    transform-origin: bottom left;
    transition: none;
}

.elementor-button {
    display: flex;
    border-radius: 0;
    font-weight: 400;
    font-size: 1.5rem;
    background-color: #fa3c3c;
    justify-content: center;
    box-shadow: 0.75rem 0.75rem 0 0 #000000 !important;
    transition: box-shadow 0.10s ease-in-out, background-color 0.10s ease-in-out;
    margin: 1vh 2vw 2vh 0px;
    color: #ffffff !important;
    padding: 1.5vh 5vw 1.5vh 5vw;
    border: none;
    font-family: 'Guton';
}

.elementor-button:hover {
    box-shadow: 0 0 0 0 #000000 !important;
    background-color: #b12a2a;
    transition: all 0.10s ease-in-out;
}

.elementor-button::after {
    content: '';
    position: absolute;
    width: 0;
    transform: scaleX(0);
    height: 0;
    transform-origin: bottom left;
    transition: none;
}

.ic-button-round {
    display: flex;
    box-shadow: 0 0 0 0 #ffffff;
}

.ic-button-round a {
    background-color: rgba(255, 255, 255, 0);
    border: 2px solid #ffffff;
    border-radius: 200px;
    box-shadow: 0 0 0 0 !important;
    margin: 0;
}

.ic-button-round a:hover {
    color: #000000 !important;
    background-color: #ffffff;
}

.ic-iconbutton {
    font-family: 'ICIcons';
    padding: 0px;
    margin: 0px;
    font-size: 2rem;
    background: none;
    color: #ffffff;
    border: none;
    cursor: pointer;
    user-select: none;
    -webkit-user-select: none;
}

.ic-iconbutton:hover::after {
    transform: scaleX(0);
}

.ic-iconbutton-large .ic-iconbutton {
    font-size: 3.5rem;
}

.ic-iconbutton-expand-anim .ic-iconbutton {
    transition: transform 0.25s ease-in-out;
}

.ic-iconbutton-expand-anim .ic-iconbutton:hover {
    transform: scale(1.2);
}

.ic-icon {
    font-family: 'ICIcons';
    padding: 0px;
    margin: 0px;
    font-size: 2em;
    color: #ffffff;
    user-select: none;
    -webkit-user-select: none;
}

.ic-icon-font {
    font-family: 'ICIcons';
}

@media screen and (min-width: 767px) {
    .elementor-button {
        font-size: 1.8rem;
        padding: 1.25rem 3.75rem;
    }

    .ic-button-round a {
        border: 4px solid #ffffff;
    }

    .ic-iconbutton {
        font-size: 2.8rem;
    }

    .ic-iconbutton-large .ic-iconbutton {
        font-size: 4.5rem;
    }
}

@media screen and (min-width: 1024px) {
    .ic-iconbutton-large .ic-iconbutton {
        font-size: 6rem;
    }
}

.ic-blend-difference {
    mix-blend-mode: difference;
}

.ic-team-member-details-div h1 {
    font-family: 'Blauer Nue';
    font-weight: 700;
}

.ic-team-member-details-div h3 {
    font-family: 'Blauer Nue';
    font-weight: 400;
}

.ic-buttonarrow {
    height: 48px;
    padding: 0px;
    display: flex;
}

.ic-buttonarrow-label {
    line-height: 1;
    text-align: center;
    box-sizing: border-box;
    padding: 1.5vh 5vw;
    flex: 1;
    position: relative;
}

.ic-buttonarrow-icon-div {
    display: flex;
    justify-content: center;
    align-items: center;
    aspect-ratio: 1;
    overflow: hidden;
    max-height: 100%;
    position: relative;
    background-color: #ffffff;
    transition: background-color 0.25s ease-in-out;
}

.ic-buttonarrow-icon-div .ic-icon {
    color: #fa3c3c;
    font-size: 60px;
    transition: transform 0.15s cubic-bezier(.77, -0.8, .24, 1.77), font-size 0.15s cubic-bezier(.86, 0, .07, 1), color 0.25s ease-in-out;
}

.ic-buttonarrow:hover>.ic-buttonarrow-icon-div .ic-icon {
    transform: rotate(-45deg);
    font-size: 105px;
    color: #000000;
}

.ic-buttonarrow:hover>.ic-buttonarrow-icon-div {
    background-color: #fa3c3c;
}

.ic-buttonpendor-icon-div .ic-icon {
    font-size: 220% !important;
}

.ic-buttonarrow:hover>.ic-buttonpendor-icon-div .ic-icon {
    transform: rotate(45deg);
    font-size: 300% !important;
}
.ic-buttonback {
    cursor: pointer;
}

.ic-switch {
    display: none;
}

.ic-switch-container {
    position: relative;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    width: fit-content;
    background-color: #000;
    border: 5px solid #000;
    color: #fff;
    font-family: "Guton";
    font-size: 1.5rem;
    cursor: pointer;
    margin-bottom: 2rem;
    align-self: center;
    overflow: hidden;
}

.ic-switch-container::before {
    content: '';
    position: absolute;
    width: 50%;
    height: 100%;
    left: 0%;
    background-color: #fa3c3c;
    transition: all 0.25s cubic-bezier(.68, -0.55, .27, 1.55);
}

.ic-switch-container div {
    padding: 1vh 4vw;
    text-align: center;
    z-index: 1;
    user-select: none;
}

.ic-switch:checked+.ic-switch-container::before {
    left: 50%;
}

@media screen and (min-width: 767px) {
    .ic-switch-container {
        font-size: 1.9rem;
    }

    .ic-switch-container div {
        padding: 0.7rem 2.8rem;
    }
}

.ic-bg-black .ic-buttonarrow-icon-div {
    background-color: #000000;
}

.ic-bg-black .ic-buttonarrow:hover>.ic-buttonarrow-icon-div .ic-icon {
    color: #ffffff;
}

@media screen and (min-width: 767px) {
    .ic-buttonarrow {
        height: 4.3rem;
    }

    .ic-buttonarrow-label {
        font-size: 1.9rem;
        padding: 1.25rem 3.75rem;
    }

    .ic-buttonarrow-icon-div .ic-icon {
        font-size: 5.6rem;
    }

    .ic-buttonarrow:hover>.ic-buttonarrow-icon-div .ic-icon {
        font-size: 9.3rem;
    }
}

.ic-barheading-div {
    align-self: start;
    position: relative;
    padding: 0.6rem 1rem;
}

.ic-barheading {
    color: #fff;
    position: relative;
    z-index: 1;
}

.ic-barheading-bg-div {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background-color: #000;
    z-index: 0;
}

@media screen and (min-width: 1024px) {
    .ic-barheading-div {
        align-self: start;
        position: relative;
        padding: 1rem 2rem;
    }
}